/*
 * Created on 2008/02/07
 */
package jp.co.epson.ide.eclipse.gnu33;

/**
 * Delegates access to the plugin resources string
 * (.properties file strings) .
 * 
 * This class intends to reduce dependencies to the plugin class.
 * @author D.Fujimoto
 *
 */
public final class ResourceProvider {

	/**
	 * Deletates the resource string 
	 * @param key	the key of the property
	 * @return		the value 
	 */
	public static final String getResourceString(String key) {
		return Gnu33CorePlugin.getResourceString(key);
	}
	
}
