/*
 * Created on 2006/12/01
 */
package jp.co.epson.ide.eclipse.gnu33.others;

/**
 * Strategy checker for vector address bit checks
 * @author df
 *
 */
public interface IAddrBitChecker {

	/**
	 * Checks the bits of the given address 
	 * @param addr
	 */
	public void check(long addr);
	
	/**
	 * Returns a message.
	 * @return error message, returns null if check is OK
	 */
	public String getMessage();
	
	
}
