/*
 * 쐬: 2005/10/04
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps;


/**
 * Represents 1 Kernel Object info.
 * 
 */
public class KernelObjectInfo {

	// sizes
	public static final int SIZE_LENGTH = 2;
	public static final int COUNT_LENGTH = 2;
	public static final int ADDR_LENGTH = 4;

	/**
	 * The type of the data.
	 * Types are defined in ToppersObjectTable.
	 */
	public int type;
	
	/**
	 * The size of 1 Kernel Object.
	 */
	public int dataSize;
	
	/**
	 * The counts of the Kernel Object.
	 */
	public int dataCount;
	
	/**
	 * The start address where the Kernel Object is stored in.
	 */
	public long dataAddress;
	
	
	
}