/*
 * 쐬: 2005/12/07
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command;

import jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.ToppersMonitorController;

/**
 * 
 * Command that reads the mailbox data.
 * 
 * @author D.Fujimoto
 *
 */
public class GetMbxCommand extends GetBaseCommand {

	/**
	 * 
	 */
	public GetMbxCommand(ToppersMonitorController controller) {
		super(controller);
	}
	
	/* ( Javadoc)
	 * @see jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command.GetBaseCommand#executeCommand()
	 */
	public void executeCommand() {
		// call the super implementation
		super.executeCommand();
		
		controller.getMbxData();
	}
}
