/*
 * 쐬: 2005/10/14
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.input.data;

/**
 * Interface for Task or Handler data 
 * that has function name. 
 * 
 * @author D.Fujimoto
 *
 */
public interface INamedProcess {

	/**
	 * Returns the address as the key to get the symbol.
	 * @return address 
	 */
	public long getAddress();
	
	/**
	 * Returns the name/symbol of the process.
	 * @return the process name
	 */
	public String getProcessName();
	
	/**
	 * Sets the name/symbol of the process.
	 * @param name to set
	 */
	public void setProcessName(String name);
}
