/*
 * 쐬: 2005/10/19
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core;


/**
 * @author D.Fujimoto
 *
 */
public abstract class DataWithParser implements IParser {

	/**
	 * If data is successfully loaded, true. Otherwise false.
	 */
	protected boolean isLoaded;
	
	/**
	 * Constructor.
	 *
	 */
	public DataWithParser() {
		isLoaded = false;
	}
	
	/**
	 * @see jp.co.epson.ide.eclipse.gnu33.osmonitor.core.IParser
	 */
	public abstract void parseData(int parseType, char[] readData);
	
	/**
	 * parseData() with no parseType specified
	 * @param readData
	 */
	public void parseData(char[] readData) {
		parseData(-1, readData);
	}
	
	public void setLoaded(boolean isLoaded) {
		this.isLoaded = isLoaded;
	}
	
	public boolean isLoaded() {
		return isLoaded;
	}
	
}
