/*
 * 쐬: 2005/12/07
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command;

import jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.ToppersMonitorController;

/**
 * 
 * Command that reads all data for dumping to file. 
 * 
 * @author D.Fujimoto
 *
 */
public class GetAllCommand extends GetBaseCommand {

	/**
	 * @param controller
	 */
	public GetAllCommand(ToppersMonitorController controller) {
		super(controller);
	}

	/* ( Javadoc)
	 * @see jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command.GetBaseCommand#executeCommand()
	 */
	public void executeCommand() {
		super.executeCommand();
		
		controller.getRdyQData();
		controller.getCycData();
		controller.getMbxData();
		controller.getSemData();
		controller.getFlgData();
		controller.getDtqData();
		controller.getMpfData();
		
		controller.getIntHdlData();
		controller.getExpHdlData();
		
	}
	
}
