/*
 * 쐬: 2005/12/06
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command;

import jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.ToppersMonitorController;

/**
 * 
 * Command that reads the ready queue data. 
 * 
 * @author D.Fujimoto
 *
 */
public class GetRdyQCommand extends GetBaseCommand {
	
	/**
	 * @param controller
	 */
	public GetRdyQCommand(ToppersMonitorController controller) {
		super(controller);
	}

	/* ( Javadoc)
	 * @see jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command.GetBaseCommand#executeCommand()
	 */
	public void executeCommand() {
		
		// calls the super implementation
		super.executeCommand();
		
		controller.getRdyQData();
		
	}
}
