/*
 * 쐬: 2005/12/06
 *
 */
package jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.command;

import jp.co.epson.ide.eclipse.gnu33.osmonitor.core.os.tps.ToppersMonitorController;

/**
 * 
 * Abstract class that handles a command for the specified controller.
 * 
 * @author D.Fujimoto
 *
 */
public abstract class MonitorCommand {

	/**
	 * The Controller this command works for.
	 */
	protected ToppersMonitorController controller;
	
	/**
	 * Execute the Command
	 *
	 */
	public abstract void executeCommand();


}
